<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
		 
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl" xml:lang="pl">
  
  <head>
    <title>Klasztor św. Polikarpa w Eldoracie</title>
    <link type="text/css" rel="stylesheet" href="style.css" />
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  </head>
  
  <body>
    <h1>Klasztor św. Polikarpa w Eldoracie</h1>
    <div id="top"></div>
    <div id="glowny">

<?php

if ($_POST['konto'] == "" || $_POST['haslo'] == "") {
echo "Podaj swoje konto i hasło.";
}

elseif($_POST['konto'] != "" AND $_POST['haslo'] != "") {

$haslo = md5($_POST['haslo']);
$konto = addslashes($_POST['konto']);
$tytul = "V3BsYXRhIG5hIHJ6ZWN6IGtsYXN6dG9ydSBzdy4gUG9saWthcnBhIHcgRWxkb3JhY2ll";

$bank = fopen("http://bank.sarmacja.org/integracja.php?z=$konto&do=mnisi&haslo=$haslo&kwota=300&tytul=$tytul","r");

$komunikat = fread($bank,30);

switch($komunikat) {
  case "OK" : 
  
    $plik = file("sentencjusz.txt");
    $ilosc_linii = count($plik);
    srand(time());
    $linia = rand(1,$ilosc_linii);

    $tresc_linii = $plik[$linia-1];

    $sentencja = explode("|",$tresc_linii);

    echo "<h2>Mnich rzecze:</h2>";
    echo "<p><q>$sentencja[0]</q></p>";
    echo "<cite>$sentencja[1]</cite>";
  
  break;
  
  case "NIEKOMPLETNE_DANE":
  echo "<p>Błąd, nie podano wszystkich danych!</p>";
  break;
  case "ZLE_HASLO":
  echo "<p>Podano nieprawidłowe hasło.</p>";
  break;
  case "BRAK_SRODKOW":
  echo "<p>Nie masz wystarczającej ilości pieniędzy na koncie.</p>";
  break;
  case "BRAK_KONTA_ZRODLOWEGO":
  echo "<p>Podałeś nieprawidłową nazwę konta.</p>";
  break;
  default:
  echo "<p>Błąd! Proszę spróbować później...</p>";
  break;
}


}
?>

<p><a href="index.html" title="Powrót">Powrót...</a></p>


    </div>
  </body>

</html>